<?php if ($field->title) { ?><label for="<?php echo $field->id; ?>"><?php echo $field->title; ?></label><?php } ?>
<style>#mapsis-canvas{display:block;position:relative;float:left;width:100%;height:250px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}#mapsis-panel{width:100%;padding:5px;text-align:center;}#address_<?php echo $field->id; ?>{width:calc(100% - 120px);width:-moz-calc(100% - 120px);width:-webkit-calc(100% - 120px);}.gm-style-iw,.gm-style-iw > div{overflow:hidden!important;}</style>

<script>
    function loadScript(src,callback){
		var script = document.createElement("script");
		script.type = "text/javascript";
		if(callback)script.onload=callback;
		document.getElementsByTagName("head")[0].appendChild(script);
		script.src = src;
	}
	loadScript('https://maps.googleapis.com/maps/api/js?v=3.exp&language=ru&libraries=places&callback=initialize');

	var map;
	var marker;
	var geocoder;
	var markers = [];
	var infowindow;

	function initialize() {
		infowindow = new google.maps.InfoWindow();
		geocoder = new google.maps.Geocoder();
		if ("<?php echo $value; ?>".length > 0) {
			var latlng = new google.maps.LatLng(<?php echo $value; ?>);		
		} else {
			var latlng = new google.maps.LatLng(55.753994, 37.622093);
		};
		var mapOptions = {
  							mapTypeControl: false,
							zoomControl: false,
							panControl: false,
							scaleControl: false,
							streetViewControl: false,
							scrollwheel: true,
							zoom: <?php echo $field->getOption("mapsis_zoom"); ?>,
							center: latlng
						}

		map = new google.maps.Map(document.getElementById("mapsis-canvas"), mapOptions);

		if ("<?php echo $value; ?>".length > 0) {
			geocoder.geocode({'latLng': latlng}, function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
					if (results[0]) {
						marker = new google.maps.Marker({
														map: map,
														draggable: true,
														animation: google.maps.Animation.DROP, 
														position: latlng
														});
						markers.push(marker);
						$("#<?php echo 'address_'.$field->id; ?>").val(results[0].formatted_address);
						infowindow.setContent(results[0].formatted_address);

						google.maps.event.addListener(marker, "dragend", function() {
							geocoder.geocode({"latLng": marker.getPosition()}, function(results, status) {
								if (status == google.maps.GeocoderStatus.OK) {
									if (results[0]) {
										$("#<?php echo 'address_'.$field->id; ?>").val(results[0].formatted_address);
										$("#<?php echo $field->id; ?>").val(marker.getPosition().lat() + ',' + marker.getPosition().lng());
										infowindow.setContent(results[0].formatted_address);
									}
								}
							});
						});
						google.maps.event.addListener(marker, "click", function() { infowindow.open(map, marker); });
					}
				}
			});
		};

		var pmap = (document.getElementById("mapsis-panel"));
		map.controls[google.maps.ControlPosition.TOP_CENTER].push(pmap);

		var autocomplete = new google.maps.places.Autocomplete(document.getElementById("address_<?php echo $field->id; ?>"));
		autocomplete.bindTo("bounds", map);
		autocomplete.setTypes(["geocode"]);
	};


	function codeAddress() {
		infowindow = new google.maps.InfoWindow();
		var address = $("#address_<?php echo $field->id; ?>").val();

		clearMarkers();
		geocoder.geocode( { "address": address}, function(results, status) {
			if (status == google.maps.GeocoderStatus.OK) {
				map.setCenter(results[0].geometry.location);
				marker = new google.maps.Marker({
												map: map,
												draggable: true,
												animation: google.maps.Animation.DROP, 
												position: results[0].geometry.location
												});
				markers.push(marker);
				$("#<?php echo $field->id; ?>").val(marker.getPosition().lat() + ',' + marker.getPosition().lng());
				infowindow.setContent(results[0].formatted_address);

				google.maps.event.addListener(marker, "dragend", function() {
					geocoder.geocode({"latLng": marker.getPosition()}, function(results, status) {
						if (status == google.maps.GeocoderStatus.OK) {
							if (results[0]) {
								$("#<?php echo 'address_'.$field->id; ?>").val(results[0].formatted_address);
								$("#<?php echo $field->id; ?>").val(marker.getPosition().lat() + ',' + marker.getPosition().lng());
								infowindow.setContent(results[0].formatted_address);
							}
						}
					});
				});
				google.maps.event.addListener(marker, "click", function() { infowindow.open(map, marker); });
			
			} else {
				$("#<?php echo $field->id; ?>").val("");
			}
		});
  
		function clearMarkers() {
			if (markers) {
				for (i in markers) {
					markers[i].setMap(null);
				}
				markers = [];
				infos = [];
			}
		};
	};
	jQuery("document").ready(function($){
		$('#form-tabs a[href="#tab-0"]').on("click", function(){
			setTimeout(function () {
				var center = map.getCenter();
				google.maps.event.trigger(map, "resize");
				map.setCenter(center);
			}, 50);
		});
	});
</script>

<div id="mapsis-canvas"></div>
<div id="mapsis-panel">
	<input type="text" id="<?php echo 'address_'.$field->id; ?>" name="<?php echo 'address_'.$field->id; ?>" class="input" value="" onchange="codeAddress();return false;" />
	<input type="button" id="mapsis-button" value="Перейти" onclick="codeAddress();return false;" />
</div>
<?php echo html_input('hidden', $field->element_name, $value, array('id' => $field->id)); ?>